Name:		kristall
Version:	0.4
Release:	%mkrel 1
Group:      Networking/WWW
Summary:	A high-quality visual cross-platform gemini browser

License:	GPL-3.0
URL:		https://kristall.random-projects.net/
Source0:	https://github.com/MasterQ32/kristall/archive/V%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	qttools5
BuildRequires:	git

%if 0%{?rhel} == 7
%global dts_version 8
BuildRequires: devtoolset-%{dts_version}-toolchain
%endif

%description
Multi-protocol support: Gemini HTTP HTTPS Finger Gopher
Document rendering
    text/gemini
    text/html (reduced feature set)
    text/markdown
    text/*
    image/*
    video/*
    audio/*
TLS Management
Outline generation (Video)
Favourite Sites
Navigation history
Tabbed interface
Special link highlighting for different targets
Color Themes
    Custom document color theme
    Automatic light/dark theme based on the host name
    Dark/Light UI theme



%prep
%autosetup
sed -i s/\\\"\$\(shell\ cd\ \$\$PWD\;\ git\ describe\ --tags\)\\\"/%{version}/ src/kristall.pro

%build
sed -i -e 's/qmake/qmake-qt5/g' Makefile

echo "QMAKE_CFLAGS += -g" >> src/kristall.pro
echo "QMAKE_CXXFLAGS += -g" >> src/kristall.pro

%if 0%{?rhel} == 7
. /opt/rh/devtoolset-%{dts_version}/enable
%endif

%make_build PREFIX=/usr

%install
mkdir -p %{buildroot}/usr/share/icons/hicolor/scalable/apps/
mkdir -p %{buildroot}/usr/share/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}/usr/share/icons/hicolor/32x32/apps/
mkdir -p %{buildroot}/usr/share/icons/hicolor/64x64/apps/
mkdir -p %{buildroot}/usr/share/icons/hicolor/128x128/apps/
mkdir -p %{buildroot}/usr/share/applications/
mkdir -p %{buildroot}/usr/bin/

%make_install PREFIX=/usr

%files
%doc README.md
%license LICENSE
%{_bindir}/kristall
%{_datadir}/applications/Kristall.desktop
%{_datadir}/icons/hicolor/128x128/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/16x16/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/32x32/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/64x64/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/scalable/apps/net.random-projects.kristall.svg
%{_mandir}/man1/kristall.1.xz
%{_datadir}/mime/packages/kristall.xml

